.vuecal {
  box-shadow: none;
}

/deep/ {
  .vuecal__ {
    &title-bar {
      background-color: transparent;
      justify-content: center;
    }

    &title {
      width: auto;
      flex: 0 0 100px;

      span.icon {
        vertical-align: middle;
        margin: 0 1rem;
      }
    }
    &bg {
      min-height: 100%;
    }
    &arrow {
      display: none;
    }

    &weekdays-headings {
      /*background-color: #efefef;*/
      border-bottom-color: transparent;
    }

    &heading {
      height: auto;
      padding: 0.25rem 0.75rem;

      .weekday-label {
        justify-content: flex-start;
      }
    }

    &cell-content {
      justify-content: flex-start;
      height: 100%;
      align-items: flex-start;
      padding: 0 0;
      background-color: transparent;
      cursor: pointer;
    }

    &cell {
      min-height: 80px;

      &.today {
        background-color: unset;
      }

      &:before {
        border-color: #e7ecff;
      }

      &.selected {
        background-color: $pale-grey;
      }

      &:nth-child(1):before {
        border-top-left-radius: $border-radius;
      }

      &:nth-child(7):before {
        border-top-right-radius: $border-radius;
      }

      &:nth-child(36):before {
        border-bottom-left-radius: $border-radius;
      }

      &:nth-child(42):before {
        border-bottom-right-radius: $border-radius;
      }
    }

    &cell-events {
      position: relative;
    }

    &event {
      overflow: initial;
      min-height: 16px;
      margin-bottom: 2px;
      position: initial;
      background-color: transparent;

      &--focus,
      &:focus {
        box-shadow: none;
      }
    }
  }
}

.mt-cell-date {
  width: 100%;
  text-align: left;
  font-size: 0.875rem;
  margin: 0.5rem 0 4px;

  .column {
    padding: 0;
    line-height: 20px;
  }

  .mt-date {
    margin-left: 0.8rem;
    color: #3a3a3a;
  }

  &.mt-is-selected-start,
  &.mt-is-selected-end,
  &.mt-is-in-selected {
    margin-bottom: 2px;
  }

  .mt-date.mt-is-today,
  &.mt-is-selected .mt-date {
    width: 20px;
    background: $primary;
    border-radius: 25px;
    text-align: center;
    color: white;
  }

  &.mt-is-selected .mt-date,
  &.mt-cell-date.mt-is-selected .mt-date.mt-is-today {
    background-color: $periwinkle;
  }

  .dropdown-menu {
    min-width: unset;
    margin-left: 10px;
    border-radius: 0;
  }

  .dropdown-content {
    border-radius: 0;
    padding: 1.4rem;
    position: absolute;
  }

  a {
    display: flex;
    white-space: nowrap;
  }

  &.mt-is-in-selected {
    border-top: 1px solid $periwinkle;
    border-bottom: 1px solid $periwinkle;
    background-color: rgba($periwinkle, 0.32);
    border-left: 1px solid #dddddd;
  }

  &.mt-is-selected-start {
    margin-left: 5px;
    border-top: 1px solid $periwinkle;
    border-bottom: 1px solid $periwinkle;
    background-color: rgba($periwinkle, 0.32);
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    width: calc(100% - 5px);

    .mt-date {
      margin: 0;
    }
  }

  &.mt-is-selected-end {
    .mt-date-wrapper {
      border-top: 1px solid $periwinkle;
      border-bottom: 1px solid $periwinkle;
      background-color: rgba($periwinkle, 0.32);
      border-top-right-radius: 10px;
      border-bottom-right-radius: 10px;
      border-left: 1px solid #dddddd;
    }
  }

  form {
    /deep/ .control-label {
      display: inline-flex;
    }
  }
}

.vuecal__cell--out-of-scope {
  .mt-cell-date {
    .mt-date {
      color: $grey-light;
    }

    &.mt-is-selected {
      .mt-date {
        color: $white;
      }
    }
  }
}

.mt-cell-overlay {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;

  &.mt-is-employe-vide {
    background-color: rgba($pale-grey, 0.2);
  }
}


@media screen and (max-width: 768px) {
  /deep/ {
    .vuecal__ {
      &cell {
        &:before {
          border-color: transparent;
        }

        &.selected {
          border-radius: $border-radius;
        }
      }

      &event-title {
        height: 0.375rem;
        font-size: 0.375rem;
        .mt-cal-activity-text {
          color: transparent;
        }
      }
    }

    .mt-cell-date {

      &.mt-is-not-employe {
        flex-direction: column;
        align-items: center;

        &.mt-is-selected-end {
          margin-right: 5px;
          border-top: 1px solid #8aa5ff;
          border-right: 1px solid #8aa5ff;
          border-bottom: 1px solid #8aa5ff;
          background-color: rgba(138, 165, 255, 0.32);
          border-top-right-radius: 10px;
          border-bottom-right-radius: 10px;
          width: calc(100% - 5px);
        }

        &.mt-is-selected-end .mt-date-wrapper {
          border-top-width: 0;
          border-bottom-width: 0;
          background-color: unset;
        }

        .dropdown-content {
          margin-top: 3rem;
        }

        .mt-date {
          margin-left: 0;
        }
      }

      .dropdown-content {
        margin-top: 2rem;
      }

      &.mt-is-selected-start {
        border-left: 1px solid #8aa5ff;
      }
    }
  }
}


